#include <stdio.h>

#include "sqlsync_def.h"

#include "data_types/sqlsync_data_types_odbc.h"

#if (defined(_WINDOWS) || defined(__MINGW32__))
#include <windef.h>
#include <winnt.h>
#endif

#include <sqlext.h>

int
main ()
{
//    test_sqlsync_main();
  printf ("sizeof(uint8) %d\n", sizeof (uint8));
  printf ("sizeof(int8) %d\n", sizeof (int8));
  printf ("sizeof(uint16) %d\n", sizeof (uint16));
  printf ("sizeof(int16) %d\n", sizeof (int16));
  printf ("sizeof(uint32) %d\n", sizeof (uint32));
  printf ("sizeof(uint32) %d\n", sizeof (int32));

  printf ("sizeof(SQLSMALLINT) %d\n", sizeof (SQLSMALLINT));
  printf ("sizeof(SQLUSMALLINT) %d\n", sizeof (SQLUSMALLINT));
  printf ("sizeof(DATE_STRUCT) %d\n", sizeof (SQL_DATE_STRUCT));

  printf ("sizeof(c_date_elem) %d\n", sizeof (c_date_elem));

  printf ("sizeof(SQL_TIME_STRUCT) %d\n", sizeof (SQL_TIME_STRUCT));

  printf ("sizeof(odbc_time_struct) %d\n", sizeof (odbc_time_struct));



  test_sqlsync_data ();
  test_sqlsync_data_types ();
  test_sqlsync_query_data ();
  test_sqlsync_data_converter ();
  return 0;
}
