echo "Make sure that you are using correct isql (from firebird package)"
if [[ $UID != 0 ]]; then
    echo "Sorry you must run this script as a root"
    exit 1;
fi


db_path=`fb_config --bindir`
if [[  $? != 0 ]]; then
    echo "Please make sure that you have path to fb_config in PATH variable"
    exit 2;
fi


sql_path=`pwd`

isql -u sqlsync -p sqlsync $db_path/sqlsync_test.fdb -i $sql_path/dbd_firebird.sql
isql -u sqlsync -p sqlsync $db_path/sqlsync_test2.fdb -i $sql_path/dbd_firebird.sql

gsec -user sysdba -password masterkey -delete sqlsync