/****************************************************************************
**
** SqlSync - Comparing and synchronizing data in SQL databases
** Copyright (c) 2006-2008, SILVERCODERS(R)
** http://silvercoders.com
**
** Project homepage: http://silvercoders.com/index.php?page=sqlsync
** Project authors:  Pawel 'pawel_p' Pluciennik
**
** This program may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file COPYING.GPL included in the
** packaging of this file.
**
** Please remember that any attempt to workaround the GNU General Public
** License using wrappers, pipes, client/server protocols, and so on
** is considered as license violation. If your program, published on license
** other than GNU General Public License version 2, calls some part of this
** code directly or indirectly, you have to buy commercial license.
** If you do not like our point of view, simply do not use the product.
**
** Licensees holding valid commercial license for this product
** may use this file in accordance with the license published by
** SILVERCODERS and appearing in the file COPYING.COM
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
**
*****************************************************************************/

#ifndef SQLSYNC_USER_INTERNAL_H
#define SQLSYNC_USER_INTERNAL_H

#include "sqlsync_user_notification.h"

#include "sqlsync_def.h"

void sqlsync_send_user_notification_init ();
void sqlsync_send_user_notification_free ();

void sqlsync_user_lib_notification (sqlsync_user_message message, sqlsync_user_data * data);

void sqlsync_send_user_notification (sqlsync_user_message message, sqlsync_user_data * data);

void sqlsync_send_error_notification (c_string_elem_ptr error);

void sqlsync_send_error_notification2 (char *data);

void sqlsync_send_info_notification (c_string_elem_ptr error);

void sqlsync_send_info_notification2 (char *data);

void sqlsync_send_string_notification (sqlsync_user_message message, c_string_elem_ptr data);

void sqlsync_send_query_notification (sqlsync_user_message message, c_string_elem_ptr query, uint32 idx, uint32 size);

#endif /* SQLSYNC_USER_INTERNAL_H */
