use strict;

my $dir= $0;
$dir =~ s/queries_run.pl//;

my @params = @ARGV;
shift(@params);
shift(@params);
shift(@params);

my $p = join(' ', @params);
print `$dir../../src/sqlsync --silent --src-dsn $ARGV[0] --dst-dsn $ARGV[1] --run-queries --tables $ARGV[2] $p`;

my $debug = $ENV{'DEBUG_SCRIPT'};
if ($debug eq "YES")
{
print "-- DEBUG $dir../../src/sqlsync --silent --src-dsn $ARGV[0] --dst-dsn $ARGV[1] --run-queries --tables $ARGV[2] $p\n";
}

